Browse Source

Add an override for bison

glibc build requires GNU bison >= 2.7 but Apple ships bison 2.3. If we
provide an override for GNU bison it should be possible to use a version
from homebrew.

Signed-off-by: Roman Bolshakov <r.bolshakov@yadro.com>
dev-linux
Roman Bolshakov 4 years ago
parent
commit
0229bc415e
  1. 2
      configure.ac
  2. 1
      paths.sh.in

2
configure.ac

@ -113,8 +113,8 @@ AC_PROG_RANLIB
CTNG_PATH_TOOL_REQ([OBJCOPY], [gobjcopy objcopy], [objcopy])
CTNG_PATH_TOOL_REQ([OBJDUMP], [gobjdump objdump], [objdump])
CTNG_PATH_TOOL_REQ([READELF], [greadelf readelf], [readelf])
CTNG_PATH_TOOL_REQ([BISON], [bison], [bison])
CTNG_CHECK_PROGS_REQ([bison], [bison])
CTNG_CHECK_PROGS_REQ([flex], [flex])
CTNG_CHECK_PROGS_REQ([makeinfo], [makeinfo])
CTNG_CHECK_PROGS_REQ([cut], [cut])

1
paths.sh.in

@ -1,5 +1,6 @@
export install="@INSTALL@"
export bash="@BASH_SHELL@"
export bison="@BISON@"
export awk="@AWK@"
export grep="@GREP@"
export gmake="@MAKE@"

Loading…
Cancel
Save